gnutls_pkcs7_get_embedded_data_oid(3)

NAME
gnutls_pkcs7_get_embedded_data_oid - API function

SYNOPSIS
#include <gnutls/pkcs7.h>

const char * gnutls_pkcs7_get_embedded_data_oid(gnutls_pkcs7_t pkcs7);

ARGUMENTS

gnutls_pkcs7_t pkcs7
    should contain a gnutls_pkcs7_t type

DESCRIPTION
This function will return the OID of the data embedded in the signature of the PKCS7 structure. If no data are available then NULL will be returned. The returned value will be valid during the lifetime of the pkcs7 structure.

RETURNS
On success, a pointer to an OID string, NULL on error.

SINCE
3.5.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/